## org.eclipse.datatools.connectivity.oda.design
Enum AxisType

    java.lang.Object
      java.lang.Enum<AxisType>
          org.eclipse.datatools.connectivity.oda.design.AxisType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AxisType>, org.eclipse.emf.common.util.Enumerator

    public enum AxisType

extends java.lang.Enum<AxisType>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Axis Type', and utility methods for working with them. Axis type of a result set column.

See Also:
  `DesignPackage.getAxisType()`

Enum Constant Summary
`DIMENSION_ATTRIBUTE_LITERAL` The 'Dimension Attribute' literal object.
`DIMENSION_MEMBER_LITERAL` The 'Dimension Member' literal object.
`MEASURE_LITERAL` The 'Measure' literal object.

Field Summary
`static java.lang.String` `copyright`
`static int` `DIMENSION_ATTRIBUTE` The 'Dimension Attribute' literal value.
`static int` `DIMENSION_MEMBER` The 'Dimension Member' literal value.
`static int` `MEASURE` The 'Measure' literal value.
`static java.util.List<AxisType>` `VALUES` A public read-only list of all the 'Axis Type' enumerators.

Method Summary
`static AxisType` `get(int value)` Returns the 'Axis Type' literal with the specified integer value.
`static AxisType` `get(java.lang.String literal)` Returns the 'Axis Type' literal with the specified literal value.
`static AxisType` `getByName(java.lang.String name)` Returns the 'Axis Type' literal with the specified name.
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation.
`static AxisType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AxisType[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DIMENSION_MEMBER_LITERAL

    public static final AxisType DIMENSION_MEMBER_LITERAL

  The 'Dimension Member' literal object.

  See Also:
    `DIMENSION_MEMBER`

### DIMENSION_ATTRIBUTE_LITERAL

    public static final AxisType DIMENSION_ATTRIBUTE_LITERAL

  The 'Dimension Attribute' literal object.

  See Also:
    `DIMENSION_ATTRIBUTE`

### MEASURE_LITERAL

    public static final AxisType MEASURE_LITERAL

  The 'Measure' literal object.

  See Also:
    `MEASURE`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

### DIMENSION_MEMBER

    public static final int DIMENSION_MEMBER

  The 'Dimension Member' literal value.

  See Also:
    `DIMENSION_MEMBER_LITERAL`, Constant Field Values

### DIMENSION_ATTRIBUTE

    public static final int DIMENSION_ATTRIBUTE

  The 'Dimension Attribute' literal value.

  See Also:
    `DIMENSION_ATTRIBUTE_LITERAL`, Constant Field Values

### MEASURE

    public static final int MEASURE

  The 'Measure' literal value.

  See Also:
    `MEASURE_LITERAL`, Constant Field Values

### VALUES

    public static final java.util.List<AxisType> VALUES

  A public read-only list of all the 'Axis Type' enumerators.

Method Detail

### values

    public static final AxisType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(AxisType c : AxisType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static AxisType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static AxisType get(java.lang.String literal)

  Returns the 'Axis Type' literal with the specified literal value.

### getByName

    public static AxisType getByName(java.lang.String name)

  Returns the 'Axis Type' literal with the specified name.

### get

    public static AxisType get(int value)

  Returns the 'Axis Type' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<AxisType>`